#ifndef CLIENT_H_INCLUDED
#define CLIENT_H_INCLUDED
#ifdef FCRF_RadioHead
  #include <RH_NRF24.h>
  #include <RHDatagram.h>
#endif
#ifdef FCRF_RF24
  #include <SPI.h>
  #include <RF24.h>
#endif

extern void clientInit();

#ifdef FCRF_RadioHead
  #if WITH_DISPLAY
    extern void clientLoop(RHDatagram Datagram, Adafruit_SSD1306 display);
  #else
    extern void clientLoop(RHDatagram Datagram);
  #endif
#endif

#ifdef FCRF_RF24
#if WITH_DISPLAY
  extern void clientLoop(RF24 radio, Adafruit_SSD1306 display);
#else
  extern void clientLoop(RF24 radio);
#endif
#endif

#endif
