#ifndef MASTER_H_INCLUDED
#define MASTER_H_INCLUDED
#ifdef FCRF_RadioHead
  #include <RH_NRF24.h>
  #include <RHDatagram.h>
#endif
#ifdef FCRF_RF24
  #include <SPI.h>
  #include <RF24.h>
#endif


extern void masterInit();
#ifdef FCRF_RadioHead
  extern void masterLoop(RHDatagram Datagram);
#endif
#ifdef FCRF_RF24
  extern void masterLoop(RF24 radio);
#endif

#endif
